## ros-kinetic-naoqi-sensors-py 0.5.5

=== src/CMakeLists.txt ===
# Add Boost Python modules
add_subdirectory(./python_boost)

=== src/python_boost/CMakeLists.txt ===
find_package(octomap)
find_package(Boost COMPONENTS python)
set(Python_ADDITIONAL_VERSIONS 2.7)
find_package(PythonLibs REQUIRED)

include_directories(${catkin_INCLUDE_DIRS})
include_directories(${PYTHON_INCLUDE_PATH} ${Boost_INCLUDE_DIRS})
link_directories(${OCTOMAP_LIBRARY_DIRS})
include_directories(${OCTOMAP_INCLUDE_DIRS})

# add the boost Python module
add_library(octomap_python octomap_python.cpp)
target_link_libraries(octomap_python ${catkin_LIBRARIES} ${OCTOMAP_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
set_target_properties(octomap_python PROPERTIES
                      LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}/boost
                      OUTPUT_NAME octomap_python
                      PREFIX ""
)

install(TARGETS octomap_python
        DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}/boost
)

# add an __init__.py file to be able to import the file
configure_file(__init__.py.plain.in
               ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}/boost/__init__.py
               @ONLY
)

install(FILES ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}/boost/__init__.py
        DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}/boost
)

=== debian/changelog ===
ros-kinetic-naoqi-sensors-py (0.5.5-0xenial) xenial; urgency=high

  * set Surya as the maintainer
  * Contributors: Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.5.4-0xenial) xenial; urgency=high

  * remove the dependency on driver_base
  * Contributors: Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 20 May 2016 07:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.5.3-0xenial) xenial; urgency=high

  * remove useless dependencies
  * Contributors: Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Wed, 26 Aug 2015 07:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.5.2-0xenial) xenial; urgency=high

  * naoqi_sensors_py no longer contains nodelt plugins
  * OCTOMAP: Use binaryMsg for compliance with other octree types.
  * SONAR: Fix Sonar FOV.
  * Contributors: Kei Okada, lsouchet

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 11 Aug 2015 07:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.5.1-0xenial) xenial; urgency=high

  * generate changelog
  * generate changelog
  * Contributors: Karsten Knese
  * generate changelog
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 31 Jul 2015 07:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.5.0-0xenial) xenial; urgency=high

  * renaming packag to _py
  * change package dependencies to <*>_py
  * delete legacy msg package
  * rename packages
  * remove cpp version
  * remove camera nodelet
  * rename packages to <*>_py
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 30 Jul 2015 07:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.4.8-0xenial) xenial; urgency=high

  * Missing dependency of libpython
  * hotfix: complete cast of alimage into ros::time
  * Use different ros time constructor
  * Fix time conversion in cpp camera driver
    The timestamp of the image and diagnostic messages from the cpp driver of the
    camera contains "random" data.
    The Aldebaran doc [1,2] states that element 4 contains seconds and element 5
    contains microseconds. In the code these are swapped. Also see the python
    node where the conversion is done correctly.
    [1] http://doc.aldebaran.com/2-1/naoqi/vision/alvideodevice-api.html#image
    [2] http://doc.aldebaran.com/1-14/naoqi/vision/alvideodevice-api.html#image
  * remove Groovy compatibility
  * Contributors: Jon Dybeck, Karsten Knese, Kenta Yonekura, Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 25 Jun 2015 07:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.4.7-0xenial) xenial; urgency=high

  * install octomap_python
  * Contributors: Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Mon, 30 Mar 2015 07:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.4.6-0xenial) xenial; urgency=high

  * update repo links in package.xml
  * use proper optical frames for the robot
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 27 Feb 2015 08:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.4.5-0xenial) xenial; urgency=high

  * Update nodelet names in log messages
  * Update names in nodelet launchfiles
  * Update camera nodelet names in comments
  * Update the xml for the camera nodelet
    During the restructuring the nodelet was renamed, but the metadata in the
    xml file was not updated. This breaks loading of the nodelet. Here the
    metadata is updated. Packages that use the nodelet will need to update
    their launchfiles.
  * SENSORS: Publish octomap and sonars only when subscribed.
    Signed-off-by: lsouchet <mailto:lsouchet@aldebaran-robotics.com>
  * remove debug line
  * add raw depth support
  * Contributors: Jon Dybeck, Vincent Rabaud, lsouchet

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Wed, 11 Feb 2015 08:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.4.4-0xenial) xenial; urgency=high

  * cleanup some installs
  * change default 3d frame
  * configure sonars via external params
    launch multiple sonars via diff namespaces
    see launching cameras for this
  * Contributors: Karsten Knese, Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 16 Jan 2015 08:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.4.3-0xenial) xenial; urgency=high

  * Merge pull request #22 <https://github.com/ros-naoqi/naoqi_bridge/issues/22> from Karsten1987/hotfix_camera_info
    bugfix: correctly load camera calibration acc. to cam source
  * use 16UC1 as kinect do
  * delete print, introduce parantheses if statement
  * bugfix: correctly load camera calibration acc. to cam source
  * Fix camera node for NAO version 3.2 with Naoqi 1.14. Changed the camProxy.subscribe() which was deprecated to the subscribeCamera, and as the call was the same for both versions removed the if for the version. Also changed the auto_Exposure_algo parameter to 0 as the parameters 2 and 3 were not valid for this NAO model (it gave an error), so parameter 0 and 1 should work for every NAO.
  * Added missing rule for NaoqiCameraConfig
    Because it said the file naoqi_sensors/NaoqiCameraConfig.h was missing
  * get the packages to actually conflict with the old versions (nao*)
    The replace tag does not provide a way to uninstall the packages.
    Its use case is different.
  * Contributors: Gerard Canal, Karsten Knese, Kei Okada, Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Sun, 14 Dec 2014 08:00:00 -0000

ros-kinetic-naoqi-sensors-py (0.4.2-0xenial) xenial; urgency=high

  * Install launchfiles even if naoqi not found
  * update changelogs
  * Merge pull request #5 <https://github.com/ros-naoqi/naoqi_bridge/issues/5> from jondy276/add-support-for-local-broker
    Added support for connecting to local broker
  * Try remote naoqi before local naoqi.
  * Added support for connecting to local broker
    By doing this the nodelet can connect to a local broker allowing


=== debian/control ===
Source: ros-kinetic-naoqi-sensors-py
Section: misc
Priority: extra
Maintainer: Séverin Lemaignan <severin.lemaignan@epfl.ch>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-camera-info-manager, ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-naoqi-driver-py, ros-kinetic-octomap, ros-kinetic-octomap-msgs
Homepage: http://ros.org/wiki/naoqi_sensors
Standards-Version: 3.9.2

Package: ros-kinetic-naoqi-sensors-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-camera-info-manager, ros-kinetic-camera-info-manager-py, ros-kinetic-dynamic-reconfigure, ros-kinetic-naoqi-driver-py, ros-kinetic-octomap, ros-kinetic-rospy, ros-kinetic-sensor-msgs
Conflicts: ros-kinetic-nao-sensors
Description: ROS driver for miscellaneous sensors on NAO.
 Python bindings for camera, sonar and octomap C++: bindings for camera only (requires NAOqi to build)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-naoqi-sensors-py//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
